#!/usr/bin/env ansible-playbook
#
# @description Bootstraps host to install basic ansible requirements
#
# Run with:
# ./playbooks/00_bootstrap.yml
# eventually with -e 'ansible_port=22'
#

- hosts: managed
  remote_user: root
  gather_facts: no
  tasks:
    - name: Configure SSH
      include_role:
        name: ssh
      vars:
        check_connect_timeout: 2
        check_timeout: 3

    - name: Updates packages
      apt:
        upgrade: dist
        autoremove: yes
        autoclean: yes
        update_cache: yes
      when: apt_get_upgrade is defined and apt_get_upgrade == True

    - name: Installs required packages
      apt:
        name:
          - python2.7
          - python
          - python-apt
          - python-pip
          - logrotate
          - apt-transport-https
        state: latest
      when: apt_get_upgrade is defined and apt_get_upgrade == True

    - name: Authorize SSH connexion
      authorized_key:
        user: root
        state: present
        key: "{{ ssh_deploy_public_key }}"
      when: ssh_deploy_public_key is defined
    - name: Add key to instance_keys
      lineinfile:
        name: ".ssh/instance_keys"
        state: present
        create: yes
        insertafter: EOF
        line: "{{ ssh_deploy_public_key }}"
      when: ssh_deploy_public_key is defined

    - group:
        name: "{{ remote_user }}"
    - name: Create sudo remote user
      user:
        name: "{{ remote_user }}"
        groups: "sudo,{{ remote_user }}"

    - name: Install Rclone
      include_role:
        name: rclone
